@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_collaboration-variables.scss";
.yw-collaboration-center-toolbar {
    background-color: $collaboration__toolbar-widget--bg-color;

    .yw-navigationhistory {
        &-back {
            line-height: $collaboration__toolbar-history--line-height;
            padding-top: 0;
            padding-bottom: 0;
            float: left;
            display: block;
        }
        &-title {
            height: $collaboration__toolbar-history-title--height;
            line-height: $collaboration__toolbar-history--line-height;
            max-width: $collaboration__toolbar-history-title--max-width;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
            display: block;
            -webkit-box-flex: 1;
            -ms-flex: 1 1 auto;
            flex: 1 1 auto;
        }
        &-stack {
            vertical-align: top;
            display: block;
        }
    }
    .yw-collaboration-center-navigation-history {
        padding-top: $collaboration__toolbar-history-container--padding-v;
        padding-bottom: $collaboration__toolbar-history-container--padding-v;
        display: flex;
        flex-wrap: nowrap;
    }
    .yw-toolbar-horizontal {
        line-height: $collaboration__toolbar-widget-action-group--line-height;
        text-align: right;

        .cng-action {
            line-height: 0;
        }
    }
    .yw-collaboration-center-center-toolbar {
        .yw-toolbar-actions {
            .cng-action-group {
                padding-right: $collaboration__toolbar-center-action-group--padding-right;
            }
        }
    }
    .yw-collaboration-center-sidebar-header {
        .yw-toolbar-actions {
            .cng-action-group {
                padding-right: $collaboration__toolbar-side-action-group--padding-right;
            }
            .z-hbox-separator {
                display: none;
            }
        }
        
        > .yw-toolbar-horizontal {       
            > .yw-toolbar-content {
                display: -webkit-box;
                display: -ms-flexbox;
                display: flex;
                -webkit-box-align: center;
                -ms-flex-align: center;
                align-items: center;
                width: 100%;
                max-width: 100%;
                
                > .yw-toolbar-before,
                > .yw-toolbar-after {
                    display: block;
                    float: none;
                }
                > .yw-toolbar-actions {
                    display: block;
                    -webkit-box-flex: 1;
                    -ms-flex: 1 1 auto;
                    flex: 1 1 auto;
                    float: none;
                    width: auto;
                    overflow: hidden;
                }
            }
            .yw-workflowDetailsActions {
                width: auto;
                float: right;
            }
        }

        .yw-taskEdit-quickList-header-actions {
            table, tr, tbody {
                display: -webkit-box;
                display: -ms-flexbox;
                display: flex;
                width: 100%;
                max-width: 100%;
            }
            td {
                display: block;
                max-width: 100%;
            }
            .cng-action-text {
                max-width: 100%;
                padding: 0 4px;
            }
            > .cng-action-group {
                padding-right: 0;
            }
        }
        .yw-collaboration-center-task-quicklist-header-title {
            padding-left: 16px;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
        }
    }
    > .z-borderlayout {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;

        > div {
            display: block;
            overflow: hidden;
            -webkit-box-flex: 0;
            -ms-flex: 0 0 auto;
            flex: 0 0 auto;
            
            &:first-child {
                -webkit-box-flex: 1;
                -ms-flex: 1 1 auto;
                flex: 1 1 auto;
            }
            > .z-west,
            > .z-west > .z-west-body,
            > .z-center,
            > .z-center > .z-center-body {
                width: auto !important;
                max-width: 100%;
            }
            
            > .yw-layoutregion {
                position: relative;
                left: 0 !important;
                top: 0 !important;
            }
        }
        .yw-toolbar-horizontal {
            line-height: 0;
            -webkit-box-flex: 0;
            -ms-flex: 0 0 auto;
            flex: 0 0 auto;
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            height: 100%;
        }
        .yw-toolbar-actions .cng-action {
            td {
                line-height: 0;
                vertical-align: middle;
            }
            .cng-action-text {
                line-height: 24px;
            } 
        }
    }
}